> ## Documentation Index
> Fetch the complete documentation index at: https://developers.calendbook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Time Slots Available

> Returns the list of available time slots for a give event_id on the specified date. Each returned slot represents a time that a guest can book.



## OpenAPI

````yaml api-reference/openapi.json get /calendars/{event_id}/slots
openapi: 3.0.0
info:
  title: Calendbook OAUTH API
  version: 1.0.0
  description: ''
servers:
  - url: https://api.calendbook.com/
security: []
paths:
  /calendars/{event_id}/slots:
    get:
      summary: Time Slots Available
      description: >-
        Returns the list of available time slots for a give event_id on the
        specified date. Each returned slot represents a time that a guest can
        book.
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: string
          example: 15min
        - name: date
          in: query
          required: true
          schema:
            type: string
            format: date
          example: '2025-08-20'
        - name: timezone
          in: query
          required: true
          schema:
            type: string
          example: Europe/Rome
      responses:
        '200':
          description: List of available time slots
          content:
            application/json:
              schema:
                type: object
                properties:
                  timezone:
                    type: string
                  booking_type:
                    type: string
                  slot_list:
                    type: object
                    additionalProperties:
                      type: object
              example:
                timezone: Europe/Rome
                booking_type: standard
                slot_list:
                  '2025-08-20T13:00:00Z': {}
                  '2025-08-20T13:30:00Z': {}
                  '2025-08-20T14:00:00Z': {}
                  '2025-08-20T15:00:00Z': {}
        '400':
          description: Bad Request
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````